
Katello - Bug #4999

Attempting to create a puppet repo by hitting enter reverts to a yum repo

04/01/2014 02:53 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Web UI   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112789 Red Hat JIRA:  

Pull request:    

Description

1.  Create a custom product

2.  Go to create a new repo

3.  Using your keyboard:

a) Type a name

b) hit tab

c) hit tab again

d) use your arrow key to arrow down twice to select puppet

e) hit tab again to navigate to the url box

f) hit enter

You will see that the type selector will switch to yum right as the form is submitted.  Sure enough a yum repo is created

Associated revisions

Revision 3594acba - 06/20/2014 01:36 PM - Eric Helms

Fixes #4999: Allow repository creation using only the keyboard to traverse the form.

This adds an explicit blank option to account for the initial blank

being present from an empty model attribute on a new resource. The absence

of the blank leads to the position of selection being off when manipulating

the select via the arrow keys.

Revision eb6deb04 - 06/20/2014 05:36 PM - Eric Helms

Fixes #4999: Allow repository creation using only the keyboard to traverse the form.

This adds an explicit blank option to account for the initial blank

being present from an empty model attribute on a new resource. The absence

of the blank leads to the position of selection being off when manipulating

the select via the arrow keys.

Revision aa80e69b - 06/20/2014 07:12 PM - Eric Helms

Merge pull request #4322 from ehelms/fixes-4999

Fixes #4999: Allow repository creation using only the keyboard to traver...

History

#1 - 04/25/2014 12:01 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 06/04/2014 01:51 PM - Eric Helms

- Target version set to 45

- Difficulty set to easy

- Triaged changed from No to Yes
#3 - 06/16/2014 12:02 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/20/2014 05:03 PM - Eric Helms

- Status changed from New to Assigned

- Assignee set to Eric Helms

#5 - 06/20/2014 07:52 PM - Eric Helms

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:eb6deb049485f7a8ce96e8110ef05d3e6421732c.

#6 - 06/24/2014 04:33 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112789
